Subject: Re: new message digest support in pkgsrc
To: Alistair Crooks <>
From: Frederick Bruckman <>
List: tech-pkg
Date: 03/07/2001 08:27:08
On Wed, 7 Mar 2001, Alistair Crooks wrote:

> On Tue, Mar 06, 2001 at 05:50:29PM -0500, Todd Vierling wrote:
> > FYI, this chicken-and-egged pkgsrc, as evidenced by a recent post, where a
> > system with old pkg_install and no digest can't update any tools (
> > needs new pkg_install, pkg_install needs digest, digest via needs
> > new pkg_install).
> No, the bump of the pkg_install tools caused problems. It has nothing to do
> with the introduction of digest.

There _IS_ a problem now. Just "pkg_delete digest", revert your
pkg_install to NetBSD-1.5's, and try to install either package.

Incidently, why does the "uptodate-digest" target go ahead and delete
and (attempt to) reinstall the package without warning the user? Isn't
that rude? Suppose I do a "make package" on a clean system somewhere,
expecting to get binary packages for all the dependencies. It looks
like I won't get one for "digest".